PETSc version 3.15.5
Fix/Edit manual page

# LandauCreateVelocitySpace

Create a DMPlex velocity space mesh

### Synopsis

    #include "petscdmplex.h"
    #include "petsclandau.h"
    PetscErrorCode LandauCreateVelocitySpace(MPI_Comm comm, PetscInt dim, const char prefix[], Vec *X, Mat *J, DM *dm)

Collective on comm

### Input Parameters

+ comm - The MPI communicator . dim - velocity space dimension (2 for axisymmetric, 3 for full 3X + 3V solver) - prefix - prefix for options

### Output Parameter

. dm - The DM object representing the mesh + X - A vector (user destroys) - J - Optional matrix (object destroys)

.keywords: mesh .seealso: DMPlexCreate(), LandauDestroyVelocitySpace()

### Level

beginner

### Location

src/ts/utils/dmplexlandauplexland.c

### Examples

src/ts/utils/dmplexlandau/tutorials/ex1.c.html
src/ts/utils/dmplexlandau/tutorials/ex2.c.html
src/ts/utils/dmplexlandau/tutorials/ex1f90.F90.html
Index of all LANDAU routines
Table of Contents for all manual pages
Index of all manual pages